Subject: bug#4142: [PATCH] 23.1 info.el::Info-goto-node - Wrong type argument:stringp, nil

From: Juri Linkov <[email-masked]>
Date: Sun, 18 Sep 2011 22:51:45 +0300

>> Or we could just say "don't call non-index nodes something containing
>> the word 'index'".
>
> No, that's what's fragile and error prone.  We should be able to put some meta
> information in index nodes to identify them.  It is not unusual in Info to use
> some text or text properties that users do not see as meta info.

`makeinfo' already puts meta information in index nodes to identify them
(modulo a little bug I just fixed).

The problem is that emacs-w3m.info is not produced by `makeinfo'.